#!/bin/bash

# 启动tomcat
/opt/tomcat8/bin/startup.sh

# 等待/opt/tomcat8/webapps/ROOT/WEB-INF/cgi/head.sh文件出现后，再继续向下执行
# 只要/opt/tomcat8/webapps/ROOT/WEB-INF/cgi/head.sh文件不存在，就等待三秒

while [ ! -e "/opt/tomcat8/webapps/ROOT/WEB-INF/cgi/head.sh" ]; do
  sleep 3
done
while [ ! -e "/opt/tomcat8/webapps/ROOT/WEB-INF/cgi/doAddStu.sh" ]; do
  sleep 3
done
while [ ! -e "/opt/tomcat8/webapps/ROOT/WEB-INF/cgi/listStu.sh" ]; do
  sleep 3
done

# 根据环境变量替换数据地址
sed -i "s/10.10.10.30/$MYSQL_ADDR/g" /opt/tomcat8/webapps/ROOT/WEB-INF/cgi/head.sh
sed -i "s/10.10.10.27/$REDIS_ADDR/g" /opt/tomcat8/webapps/ROOT/WEB-INF/cgi/*.sh

# 实时更新tomcat日志，让脚本永不结束
tail -f /opt/tomcat8/logs/catalina.out
