#!/bin/bash

source head.sh

echo '
    <h1>班级列表</h1>
    <table>
      <tr>
        <th>班级号</th>
        <th>班级名</th>
      </tr>
'
sql="select *from jx_class;"
stuList=$($mysqllogin "$sql" | grep -v id | sed "s/\t/@/g")
for stu in ${stuList[@]}; do
  # 获取用户ID
  id=$(echo $stu | awk -F "@" '{print $1}')
  name=$(echo $stu | awk -F "@" '{print $2}')
  echo "
        <tr>
          <td>$id</td>
          <td>$name</td>
        </tr>
  "
done

echo '
    </table>
  </div>
</body>
</html>
'

