#!/bin/bash

source head.sh

echo '
    <h1>课节列表</h1>
    <table>
      <tr>
        <th>课节号</th>
        <th>班级</th>
        <th>老师</th>
        <th>科目</th>
        <th>时间</th>
      </tr>
'
sql="select jx_lesson.id, jx_class.name, jx_teacher.name, jx_subject.name, from_unixtime(jx_lesson.time)  from jx_lesson  join jx_class on jx_lesson.classId=jx_class.id  join jx_teacher on jx_lesson.teacherId=jx_teacher.id  join jx_subject on jx_lesson.subjectId=jx_subject.id;"
stuList=$($mysqllogin "$sql" | grep -v id | sed "s/\t/@/g" | sed "s/ /_/g")
for stu in ${stuList[@]}; do
  # 获取用户ID
  id=$(echo $stu | awk -F "@" '{print $1}')
  className=$(echo $stu | awk -F "@" '{print $2}')
  teacherName=$(echo $stu | awk -F "@" '{print $3}')
  subjectName=$(echo $stu | awk -F "@" '{print $4}')
  _time=$(echo $stu | awk -F "@" '{print $5}')
  echo "
        <tr>
          <td>$id</td>
          <td>$className</td>
          <td>$teacherName</td>
          <td>$subjectName</td>
          <td>$_time</td>
        </tr>
  "
done

echo '
    </table>
  </div>
</body>
</html>
'

